/*
 * Dump.h
 *
 *  Created on: Aug 10, 2011
 *      Author: janez
 */

#ifndef DUMP_H_
#define DUMP_H_

#include "peg_tc.h"
#include "ParticleList.h"
#include "Particle.h"
#include "Species.h"
#include "SpatialRegion.h"
#include <string>

class Dump {
	std::string filename;

public:
	Dump();
	virtual ~Dump();
	bool load(std::string inFilename);
	bool save(std::string inFilename);

	void display( ParticleList& pl, std::vector<Species>&sl, std::string comment );
	void display( std::vector<double>& pot, SpatialRegion& region, std::string comment );
	void toFile( std::string toFile, ParticleList& pl, std::vector<Species>&sl );
	void toFile( std::string toFile, std::vector<double>& pot, SpatialRegion& region );
};

#endif /* DUMP_H_ */
