/*
 * Particle.cpp
 *
 *  Created on: Aug 5, 2011
 *      Author: janez
 */

#include "Particle.h"

#include <sstream>
#include <string>

using namespace std;

Particle::Particle() {
	init();
}


Particle::~Particle() {

}

/**
 * Initialize particle values.
 */
void Particle::init() {
	r.set(0., 0., 0.);
	v.set(0., 0., 0.);
	f.set(0., 0., 0.);
	q = m = 0;
}

/**
 * Return values as formated string.
 */
string Particle::get_str_r() {
	stringstream str;
	str << r.e1() << " " << r.e2() << " " << r.e3();
	return str.str();
}

string Particle::get_str_rx() {
	stringstream str;
	str << r.e1() ;
	return str.str();
}

string Particle::get_str_v() {
	stringstream str;
	str << v.e1() << " " << v.e2() << " " << v.e3();
	return str.str();
}

string Particle::get_str_f() {
	stringstream str;
	str << f.e1() << " " << f.e2() << " " << f.e3();
	return str.str();
}



